Strona 1 z 1

LISP pomocny przy wstawianiu bloków

PostNapisane: wrz 04, 2019 15:46
przez Deska
Cześć

Chciałbym prosić was forumowicze o pomoc. Potrzebuję stworzyć lispa który będzie wstawiał mi konkretny blok od razu tam gdzie kliknę.

stworzyłem coś takie (DEFUN C:1 () (COMMAND "WWSTAW" "blok" "????" "1" "0" "1" "1"))
ale w miejscu pytajników (?????) powinno nastąpić wybranie punktu myszką, niestety nie wiem jakiej komendy użyć, czy ktoś jest w stanie mi pomóc ?
Z góry dziękuję

Re: LISP pomocny przy wstawianiu bloków

PostNapisane: wrz 04, 2019 17:58
przez kojacek
Deska napisał(a):Cześć

Chciałbym prosić was forumowicze o pomoc. Potrzebuję stworzyć lispa który będzie wstawiał mi konkretny blok od razu tam gdzie kliknę.

stworzyłem coś takie (DEFUN C:1 () (COMMAND "WWSTAW" "blok" "????" "1" "0" "1" "1"))
ale w miejscu pytajników (?????) powinno nastąpić wybranie punktu myszką, niestety nie wiem jakiej komendy użyć, czy ktoś jest w stanie mi pomóc ?
Z góry dziękuję


Wybranie punktu (niekoniecznie) myszką możliwe jest przy użyciu funkcji (ale nie komendy) getpoint. Poczytaj o niej w help'ie do AutoLISP'a.

Re: LISP pomocny przy wstawianiu bloków

PostNapisane: wrz 04, 2019 20:15
przez Kuracki
kojacek napisał(a):
Deska napisał(a):Cześć

Chciałbym prosić was forumowicze o pomoc. Potrzebuję stworzyć lispa który będzie wstawiał mi konkretny blok od razu tam gdzie kliknę.

stworzyłem coś takie (DEFUN C:1 () (COMMAND "WWSTAW" "blok" "????" "1" "0" "1" "1"))
ale w miejscu pytajników (?????) powinno nastąpić wybranie punktu myszką, niestety nie wiem jakiej komendy użyć, czy ktoś jest w stanie mi pomóc ?
Z góry dziękuję


Wybranie punktu (niekoniecznie) myszką możliwe jest przy użyciu funkcji (ale nie komendy) getpoint. Poczytaj o niej w help'ie do AutoLISP'a.

Kodżak chyba stać cie na więcej a nie do helpa odsyłasz. I jeszcze jedno sam zaniżasz swoje standardy - jakie komendy? Poprawnie jest polecenie a nie komenda.

Re: LISP pomocny przy wstawianiu bloków

PostNapisane: wrz 10, 2019 23:10
przez andkal
Deska napisał(a):Cześć

Chciałbym prosić was forumowicze o pomoc. Potrzebuję stworzyć lispa który będzie wstawiał mi konkretny blok od razu tam gdzie kliknę.

stworzyłem coś takie (DEFUN C:1 () (COMMAND "WWSTAW" "blok" "????" "1" "0" "1" "1"))
ale w miejscu pytajników (?????) powinno nastąpić wybranie punktu myszką, niestety nie wiem jakiej komendy użyć, czy ktoś jest w stanie mi pomóc ?
Z góry dziękuję


Zamiast "????" wstaw wyraz: pause.
przykład: (COMMAND "WWSTAW" "blok" pause 1 0 1 1)